chol2inv {base} | R Documentation

## Inverse from Choleski (or QR) Decomposition

### Description

Invert a symmetric, positive definite square matrix from its Choleski decomposition. Equivalently, compute (X'X)^(-1) from the (R part) of the QR decomposition of X.

### Usage

    chol2inv(x, size = NCOL(x), LINPACK = FALSE)

### Arguments

`x` | a matrix. The first `size` columns of the upper triangle contain the Choleski decomposition of the matrix to be inverted.
`size` | the number of columns of `x` containing the Choleski decomposition.
`LINPACK` | logical. Defunct and ignored (with a warning for true value).

### Value

The inverse of the matrix whose Choleski decomposition was given.

Unsuccessful results from the underlying LAPACK code will result in an error giving a positive error code: these can only be interpreted by detailed study of the FORTRAN code.

### Source

This is an interface to the LAPACK routine `DPOTRI`. LAPACK is from http://www.netlib.org/lapack and its guide is listed in the references.

### References

Anderson. E. and ten others (1999) LAPACK Users' Guide. Third Edition. SIAM. Available on-line at http://www.netlib.org/lapack/lug/lapack_lug.html.

Dongarra, J. J., Bunch, J. R., Moler, C. B. and Stewart, G. W. (1978) LINPACK Users Guide. Philadelphia: SIAM Publications.

### See Also

`chol`, `solve`.

### Examples

    cma <- chol(ma  <- cbind(1, 1:3, c(1,3,7)))
    ma %*% chol2inv(cma)

[Package base version 3.5.3 Index]